Subject: Re: Game port pin #'s
From: [email-masked] (Jason Kennerly)
Date: 1 Apr 1995 19:27:14 -0800
Newsgroups: comp.sys.apple2.programmer

Description:      Internal pin#:    External pin #:
+5 Power Supply       1                 2
Switches [buttons]    2,3,4             7,1,6
Strobe                5                 -
Paddle 0-3            6,10,7,11         5,8,4,9
Ground                8                 3
Annunciators          15,14,13,12       -
Nothing               9,16              -

hope this helps... 

I have the //e technical reference [and an apple 2, 2+, and 2c, but no 
2e... gotta love the irony] so just ask if ya have ?'s
--
Remember what the doormouse said - feed your head!
Path: news.uiowa.edu!hobbes.physics.uiowa.edu!news.ksu.ksu.edu!vixen.cso.uiuc.edu!howland.reston.ans.net!news.sprintlink.net!malgudi.oar.net!infinet!vleonard
From: [email-masked] (Victor Leonard)
Newsgroups: comp.sys.apple2.programmer
Subject: Re: Game port pin #'s
Date: 2 Apr 1995 04:18:01 GMT
Organization: InfiNet
Lines: 46
Message-ID: <[email-masked]>
References: <[email-masked]>
NNTP-Posting-Host: rigel.infinet.com
X-Newsreader: TIN [version 1.2 PL2]

Ido Ben-Shachar ([email-masked]) wrote:
:   Does anyone know the pins on the internal game port?  (ie, where you
: plug in joystick stuff)

: This is the 16 pin connector, by the way.

From apple //e technical reference manual (combined from about 4 pages 
all of which got VERY well used when I used to connect apples together 
using game port for fun and games (that I wrote))

	9	8	GND
PDL1	10	7	PDL2
PDL3	11	6	PDL0
AN3	12	5	STB
AN2	13	4	SW2
AN1	14	3	SW1/CAPL (OPTION)
AN0	15	2	SW0/OAPL
	16	1	+5C

1  +5C  +5 volts (not to exceed 100mA
2  PB0  (button 0 or switch 0)  (read $c061)
3  PB1  (read $c062)
4  PB2  (read $c063)
5  STROBE'  also 'Analog input reset'  Strobe output.  line goes low 
        during 0O of a read or write instruction to $c040
6  PDL0  (read $c064)  goes low after read or write to $c040 until capacitors
	recharge (connect +5v to PDLn with resistance.  amount of resistance
	determines how long til $c064 goes high
7  PDL2
8  GND  system ground
9  n.c.  not connected
10  PDL1
11  PDL3
12  AN3  Annunciators.  These are standard 74LS TTL outputs and must be
	buffered to drive other than TTL inputs  (on = rw $c05f, off $c05e)
13  AN2  (on $c05d, off $c05c
14  AN1  ($c05b, $c05a)
15  AN0  ($c059, $c058)
15  n.c.

jim
[email-masked]
Path: news.uiowa.edu!hobbes.physics.uiowa.edu!newsrelay.iastate.edu!vixen.cso.uiuc.edu!howland.reston.ans.net!newsjunkie.ans.net!newstf01.news.aol.com!newsbf02.news.aol.com!not-for-mail
From: [email-masked] (WagnerE)
Newsgroups: comp.sys.apple2.programmer
Subject: Re: Game port pin #'s
Date: 3 Apr 1995 02:41:35 -0400
Organization: America Online, Inc. (1-800-827-6364)
Lines: 6
Sender: [email-masked]
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked] (WagnerE)
NNTP-Posting-Host: newsbf02.mail.aol.com

Be aware that Apple made some slight changes to the 16-pin gameport on the
Apple IIgs.

A fourth push button switch was added (SW3 or PB3) at pin 9
And the STROBE' output signal at pin 5 was replaced with a +5-volt pull-up